#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'colours'

alias e puts

# x = Colours('This is bright blue.').blue.bright
# y = x.build_the_main_string
e Colours('This is blue.').blue
e Colours('This is blue underline.').blue.underline
e Colours('This is bright blue underline.').blue.bright.underline
e Colours('This is bright blue.').blue.bright
e Colours('This is bright blue.').blue.bright+
  Colours(' And this is bright yellow.').yellow.bright
e Colours('This is bright blue.').blue.bright+
  Colours(' And this is bright yellow.').yellow.bright+
  Colours(' And this is green.').green
e Colours('This is bright blue.').blue.bright+
  Colours(' And this is bright yellow.').yellow.bright+
  Colours(' And this is green.').green+
  Colours(' And this is bright green.').green.bright
e Colours('This is bright blue.').blue.bright+
  Colours(' And this is bright yellow.').yellow.bright+
  Colours(' And this is green.').green+
  Colours(' And this is bright green.').green.bright+
  Colours(' And this is magenta, italic.').magenta.italic
e Colours('This is blue bright underline.').blue.bright.underline
e Colours('This is blue bright underline and italic.').blue.bright.underline.italic
e Colours('This is blue bright and italic.').blue.bright.italic
e Colours("this is red").red + " and " +
  Colours("this on yellow bg").bg(:yellow) + " and " +
  Colours('even bright underlined!').underline.bright+
  Colours(' Again!').underline.bright.red
e Colours('This is red.').red+' '+
  Colours('And this should be reversed').red.reversed
e Colours('This is blue.').blue
result = Colours('This is blue and bold.').blue.bold
e result
e 'Also showing the Escape code for this ^^^'
pp result.to_s
result = Colours('This is just bold.').bold
e result
e 'Also showing the Escape code for this ^^^'
pp result.to_s